hstatsd-0.1: Quick and dirty statsd interface

Safe Haskell | None
Language | Haskell98

Network.StatsD

# Documentation

data StatsD Source

Instances

Eq StatsD Source |
Show StatsD Source |

mkStatsD :: Socket -> [String] -> StatsD Source

openStatsD :: HostName -> ServiceName -> [String] -> IO StatsD Source

closeStatsD :: StatsD -> IO () Source

data Stat Source

Constructors

Stat |

Fields

bucket :: !Text
val :: !Text
unit :: !Text
sample :: !(Maybe Double)

Instances

Eq Stat Source |
Show Stat Source |

stat :: (Num a, Show a) => [String] -> a -> String -> Maybe Double -> Stat Source

push :: StatsD -> [Stat] -> IO () Source

showStat :: Stat -> String Source